<?php
require ('authentication_member.php');
?>
<?php

/* 成员中心 - 我的权限 */
/* 162100源码 - 162100.com */



$mess = 0;
if (!isset($sql['db_err'])) {
  db_conn();
}

if ($sql['db_err'] == '') {

  $result = @mysql_query('SELECT * FROM '.$sql['pref'].''.$sql['data']['承载成员档案的表名'].' WHERE username="'.$session[0].'" LIMIT 1', $db);
  if ($row = @mysql_fetch_assoc($result)) {
    if ($row['check_reg'] == '1') {
      $err = '帐号注册审核中！';
    } elseif ($row['check_reg'] == '2') {
      $err = '帐号已被移除至<a href="list_member.php?act=punished" target="_blank">黑名单</a>！';
    } else {
      $mess = '<span class="grayword">'.preg_replace('/^\d+/', '<span>$0</span>', $row['mess_num']).'</span>';
    }
  } else {
    $err = '成员不存在！或帐号已被删除，或移除至<a href="list_member.php?act=punished" target="_blank">黑名单</a>';
  }
  @mysql_free_result($result);


} else {
  $err .= $sql['db_err'];
}

@ require ('inc/function/add_online.php'); //在线
@mysql_close();

if (empty($err)) {
  if (POWER >= 4) :
    echo '<ul style="text-align:left;"><li><b><span class="redword" >您是管理员，具备最高权限</span></b></li></ul>';
  else :

    //求和信誉值
    $result = @mysql_query('SELECT SUM(money) AS total FROM '.$sql['pref'].''.$sql['data']['承载财务数据的表名'].' WHERE (username="'.$session[0].'" AND type="1")', $db);
    $row_ = @mysql_fetch_assoc($result);
    $total_credit = (float)$row_['total'];
    unset($row_);
    @mysql_free_result($result);


?>
<div class="list_title"><a class="list_title_in">系统参数说明</a></div>
<ul style="text-align:left;">
  <li>上传权限起始分： <b><?php echo $web['up_start']; ?></b>&nbsp;</li>
  <li>发布链接起始分： <b><?php echo $web['link_start']; ?></b>&nbsp;</li>
  <li>上传图片限定尺寸： <b><?php echo $web['max_file_size'][15] > 0 ? $web['max_file_size'][15].' KB' : '系统设定为禁止上传'; ?></b></li>
  <li>上传动画限定尺寸： <b><?php echo $web['max_file_size'][16] > 0 ? $web['max_file_size'][16].' KB' : '系统设定为禁止上传'; ?></b></li>
  <li>上传影音文件限定尺寸： <b><?php echo $web['max_file_size'][17] > 0 ? $web['max_file_size'][17].' KB' : '系统设定为禁止上传'; ?></b></li>
  <li>上传其它文件限定尺寸： <b><?php echo $web['max_file_size'][18] > 0 ? $web['max_file_size'][18].' KB' : '系统设定为禁止上传'; ?></b></li>
  <li>发表时间间隔： <b><?php echo $web['send_ms'] > 0 ? $web['send_ms'].'秒' : '未设置'; ?></b></li>
  <li>刷新每篇扣除货币值： <b><?php echo $web['refreshdel']; ?></b></li>
  <li>置顶每篇每天扣货币值： <b><?php echo $web['top_point']; ?></b></li>
  <li>兑现悬赏加赠信誉值： <b><?php echo $web['reward_cash_add_credit']; ?></b></li>
  <li>是否可以删除回复： <b><?php echo $web['re_del'] == 0 ? '不' : ''; ?>允许</b></li>
</ul>
<div class="list_title"><a class="list_title_in">我的等级权限</a></div>
<ul style="text-align:left;">
  <li>我的积分： <b><?php echo $row['point']; ?></b>&nbsp;</li>
  <li>我的信誉值： <b><?php echo $total_credit; ?></b>&nbsp;</li>
  <li>发布权限： <b><?php echo ($row['power'] != 'm' && (strstr($row['power'].'_', 'a') || strstr($row['power'].'_', 't'))) ? '×（原因：被关闭）' : '√'; ?></b>&nbsp;</li>
  <li>回复权限： <b><?php echo ($row['power'] != 'm' && (strstr($row['power'].'_', 'a') || strstr($row['power'].'_', 'r'))) ? '×（原因：被关闭）' : '√'; ?></b>&nbsp;</li>
  <li>上传权限： <b><?php
	 if ($row['power'] != 'm' && (strstr($row['power'].'_', 'a') || strstr($row['power'].'_', 'u'))){
	   echo '×（原因：被关闭）';
	 } else {
	   if($row['point'] >= $web['up_start']){
	     echo '√'; 
	   } else {
	     echo '×（积分需达到'.$web['up_start'].'）';
	   }
	 }
	 ?></b>&nbsp;</li>
  <li>每日发表限量： <b><?php
@ require ('inc/function/send_mx.php');
if ($web['send_mx'] == 1) {
  echo ($send_mx = send_mx($row['point']/*$session[3]*/, $total_credit)) ? ''.$send_mx.'条/日' : '不限量';
} else {
  echo '不限量';
}
?></b>&nbsp;</li>
  <li>每日上传： <b><?php
@ require ('inc/function/up_mx.php');
$up_mx = up_mx($session[3], $total_credit);
echo $up_mx != -1 ? ''.$up_mx.'条（如果有发布、上传权限）' : '不限量'; ?></b></li>
  <li>发布链接： <b><?php echo ($row['point'] < $web['link_start']) ? '×（等级分需达到'.$web['link_start'].'）' : '√（如果有发布权限）'; ?></b></li>
  <li>置顶限量： <b><?php
@ require ('inc/function/top_mx.php');
$top_max = top_mx($total_credit);
echo $top_max == -1 ? '不限量' : $top_max.'条'; ?></b></li>
</ul>
<?php
  endif;
} else {
  echo $err;
}
?>
